#include "logger.h"

#include <QThread>


Logger::Logger(QObject *parent):
QObject(parent)
{
    //this->listWidget = widget;
}

Logger::~Logger()
{

}

void Logger::setTypeLog(QString type)
{
    typeLogger = type;
}

void Logger::addTextToLogger(QString msg)
{
    if(typeLogger == "widget")
    {
        emit sigSendTextToLogger(msg);
    }
    else if (typeLogger == "console")
    {
        //qDebug() << msg;
    }else
    {
        emit sigSendTextToLogger(msg);
    }
}
